#include "defs.h"
#ifndef lint
static char *RCSid __attribute__((__unused__)) =
"$Id: strerror.c,v 1.5 1999/08/04 15:57:33 christos Exp $";
#endif

#include <stdio.h>
#include <sys/errno.h>

/*
 * Return string for system error number "Num".
 */
char *strerror(Num)
     int			Num;
{
    extern int 			sys_nerr;
    extern char 	       *sys_errlist[];
    static char 		Unknown[100];

    if (Num < 0 || Num > sys_nerr) {
	(void) snprintf(Unknown, sizeof(Unknown), "Error %d", Num);
	return(Unknown);
    } else
	return(sys_errlist[Num]);
}
